FROM index.docker.io/i386/ubuntu:16.04

ADD msdk-4.8.5-mips-EB-3.18-u0.9.33-m32ut-180123-cn2sd6-180502.tar.bz2 /opt/toolchain

ENV ARCH=mips
ENV CROSS_COMPILE=mips-linux-

RUN \
    apt-get update && \
    apt-get install --no-install-recommends --no-install-suggests --yes \
      'bc' \
      'file' \
      'gnulib' \
      'make' \
    && \
    printf '#!/bin/sh\n\necho ${@}\n\nexit 0\n' > '/usr/local/bin/svn' && \
    chmod +x '/usr/local/bin/svn' && \
    ln -f -s 'bash' '/bin/sh' && \
    rm -f -r '/var/lib/apt/'

ENV PATH ${PATH}:/opt/toolchain/msdk-4.8.5-mips-EB-3.18-u0.9.33-m32ut-180123-cn2sd6-180502/bin
